Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.gxl
Class GxlReader.GxlHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          biouml.plugins.gxl.GxlReader.GxlHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, GxlConstants

Direct Known Subclasses:
  GinSimReader.GinSimHandler

Enclosing class:
  GxlReader

protected class GxlReader.GxlHandler
extends org.xml.sax.helpers.DefaultHandler
implements GxlConstants

Define its descendants to have extended behavior in classes derivated from GxlReader

Field Summary
`protected GxlParserContext` | `context`

Fields inherited from interface biouml.plugins.gxl.GxlConstants
`ATTR_ELEM, BAG_ELEM, BOOL_ELEM, EDGE_ELEM, ENUM_ELEM, FLOAT_ELEM, FROM_ATTR, GRAPH_ELEM, GXL_ELEM, ID_ATTR, INT_ELEM, LOCATOR_ELEM, NODE_ELEM, RELATION_ELEM, RELEND_ELEM, SEQ_ELEM, SET_ELEM, STRING_ELEM, TARGET_ATTR, TO_ATTR, TUP_ELEM, TYPE_ELEM`

Constructor Summary
`GxlReader.GxlHandler()`

Method Summary
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes attrs)`
`protected boolean` | `isValue(java.lang.String name)`
`protected boolean` | `isValueExtension(java.lang.String elementName)` It may be overridden to support value extensions
`protected void` | `leaveAttribute(org.xml.sax.Attributes attrs)`
`protected void` | `leaveEdge(org.xml.sax.Attributes attrs)`
`protected void` | `leaveGraph(org.xml.sax.Attributes attrs)`
`protected void` | `leaveGxl(org.xml.sax.Attributes attrs)`
`protected void` | `leaveNode(org.xml.sax.Attributes attrs)`
`protected void` | `leaveRelation(org.xml.sax.Attributes attrs)`
`protected void` | `leaveRelEnd(org.xml.sax.Attributes attrs)`
`protected void` | `leaveType(org.xml.sax.Attributes attrs)`
`protected void` | `leaveValue(org.xml.sax.Attributes attrs)`
`protected void` | `processEdgeExtension(Edge edge, org.xml.sax.Attributes attrs)` It is stub for further overriding
`protected void` | `processGraphExtension(org.xml.sax.Attributes attrs)` It is stub for further overriding
`protected void` | `processNodeExtension(Node node, org.xml.sax.Attributes attrs)` It is stub for further overriding
`protected void` | `readAttribute(org.xml.sax.Attributes attrs)`
`protected void` | `readEdge(org.xml.sax.Attributes attrs)`
`protected void` | `readGraph(org.xml.sax.Attributes attrs)` Create new diagram for each specified graph
`protected void` | `readGxl(org.xml.sax.Attributes attrs)`
`protected void` | `readNode(org.xml.sax.Attributes attrs)`
`protected void` | `readRelation(org.xml.sax.Attributes attrs)`
`protected void` | `readRelEnd(org.xml.sax.Attributes attrs)`
`protected void` | `readType(org.xml.sax.Attributes attrs)`
`protected void` | `readValue(org.xml.sax.Attributes attrs)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes attrs)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected GxlParserContext context

Constructor Detail

### GxlReader.GxlHandler

    public GxlReader.GxlHandler()

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName,
                           org.xml.sax.Attributes attrs)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### readGxl

    protected void readGxl(org.xml.sax.Attributes attrs)

### readGraph

    protected void readGraph(org.xml.sax.Attributes attrs)

  Create new diagram for each specified graph

### processGraphExtension

    protected void processGraphExtension(org.xml.sax.Attributes attrs)

  It is stub for further overriding

### readNode

    protected void readNode(org.xml.sax.Attributes attrs)

### processNodeExtension

    protected void processNodeExtension(Node node,
                                        org.xml.sax.Attributes attrs)

  It is stub for further overriding

### readEdge

    protected void readEdge(org.xml.sax.Attributes attrs)

### processEdgeExtension

    protected void processEdgeExtension(Edge edge,
                                        org.xml.sax.Attributes attrs)

  It is stub for further overriding

### readRelation

    protected void readRelation(org.xml.sax.Attributes attrs)

  To do:
    Do something with processRelationExtension(...)

### readRelEnd

    protected void readRelEnd(org.xml.sax.Attributes attrs)

  To do:
    Do something with processRelendExtension(...)

### readType

    protected void readType(org.xml.sax.Attributes attrs)

  To do:
    Do something with processTypeExtension(...)

### readAttribute

    protected void readAttribute(org.xml.sax.Attributes attrs)

  To do:
    Do something with processAttributeExtension(...)

### readValue

    protected void readValue(org.xml.sax.Attributes attrs)

  To do:
    Implement it together with atrribute processing

### leaveGxl

    protected void leaveGxl(org.xml.sax.Attributes attrs)

### leaveGraph

    protected void leaveGraph(org.xml.sax.Attributes attrs)

### leaveNode

    protected void leaveNode(org.xml.sax.Attributes attrs)

### leaveEdge

    protected void leaveEdge(org.xml.sax.Attributes attrs)

### leaveRelation

    protected void leaveRelation(org.xml.sax.Attributes attrs)

### leaveRelEnd

    protected void leaveRelEnd(org.xml.sax.Attributes attrs)

### leaveType

    protected void leaveType(org.xml.sax.Attributes attrs)

### leaveAttribute

    protected void leaveAttribute(org.xml.sax.Attributes attrs)

### leaveValue

    protected void leaveValue(org.xml.sax.Attributes attrs)

### isValue

    protected boolean isValue(java.lang.String name)

### isValueExtension

    protected boolean isValueExtension(java.lang.String elementName)

  It may be overridden to support value extensions

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.